<template>
  <div>
    <button
      v-if="isClassifying"
      class="f-button f-button--simple opacity-75 cursor-not-allowed"
      disabled
    >
      <div class="loader">↻</div>
    </button>
    <button v-else class="f-button f-button--simple" @click="classifyPatients">
      Classify patients
    </button>
  </div>
</template>

<script>
import { mapActions, mapState } from "vuex";

export default {
  computed: {
    ...mapState(["isClassifying"])
  },
  methods: {
    ...mapActions(["classifyPatients"])
  }
};
</script>

<style>
.loader {
  animation-name: spin;
  animation-duration: 1700ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
</style>
